### Hierarchy

- ContentSwitcher

### Implements

- AfterViewInit

## Index

### Inputs

- ariaLabel
- theme

### Outputs

- selected

### Constructors

- constructor

### Properties

- ariaLabel
- elementRef
- options
- selected
- theme

### Methods

- hostkeys
- ngAfterViewInit

## Constructors

### constructor

- new ContentSwitcher(elementRef: ElementRef): ContentSwitcher

- - Defined in src/content-switcher/content-switcher.component.ts:55

  #### Parameters

  - ##### elementRef: ElementRef

  #### Returns ContentSwitcher

## Properties

### ariaLabel

@Input()
ariaLabel: string = "content switcher"

- Defined in src/content-switcher/content-switcher.component.ts:44

### Protected elementRef

elementRef: ElementRef

- Defined in src/content-switcher/content-switcher.component.ts:57

### options

@ContentChildren({"selector":"ContentSwitcherOption"})
options: QueryList<ContentSwitcherOption>

- Defined in src/content-switcher/content-switcher.component.ts:55

### selected

@Output()
selected: EventEmitter<ContentSwitcherOption> = new EventEmitter<ContentSwitcherOption>()

- Defined in src/content-switcher/content-switcher.component.ts:53

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/content-switcher/content-switcher.component.ts:48

## Methods

### hostkeys

@HostListener({"eventName":"keydown","args":"[$event]"})

- hostkeys(event: KeyboardEvent): void

- - Defined in src/content-switcher/content-switcher.component.ts:80

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/content-switcher/content-switcher.component.ts:59

  #### Returns void

Generated using TypeDoc